== Why is this an issue?

:func_name: function

include::../description.adoc[]

[source,swift,diff-id=1,diff-type=noncompliant]
----
func calculate() {
  doTheThing()
  doOtherThing()
}

func doEverything() {  // Noncompliant: duplicates calculate
  doTheThing()
  doOtherThing()
}
----

include::../inter.adoc[]

[source,swift,diff-id=1,diff-type=compliant]
----
func calculate() {
  doTheThing()
  doOtherThing()
}

func doEveryting() {  // Intent is clear
  calculate()
}
----

=== Exceptions

Methods with fewer than 2 statements are ignored.

ifdef::env-github,rspecator-view[]

'''
== Implementation Specification
(visible only on this page)

include::../message.adoc[]

include::../highlighting.adoc[]

'''
== Comments And Links
(visible only on this page)

include::../comments-and-links.adoc[]

endif::env-github,rspecator-view[]
